LEON(1)

NAME
leon - reference free compression for NGS reads

OPTIONS

  leon options

-file
    (1 arg) : input file (e.g. FASTA/FASTQ for compress or .leon file for decompress)

-c  (0 arg) : compression

-d  (0 arg) : decompression

-nb-cores
    (1 arg) : number of cores (default is the available number of cores) [default '0']

-lossless
    (0 arg) : switch to lossless compression for qualities (default is lossy. lossy has much higher compression rate, and the loss is in fact a gain. lossy is better!)

  compression options

-kmer-size
    (1 arg) : size of a kmer [default '31']

-abundance
    (1 arg) : abundance threshold for solid kmers (default inferred) [default '']

-init-iterator
    (0 arg) : init iterator for ibank mode

-seq-only
    (0 arg) : store dna seq only, header and quals are discarded, will decompress to fasta (same as -noheader -noqual)

-noheader
    (0 arg) : discard header

-noqual
    (0 arg) : discard quality scores

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.